%define	major 1
%define libname	%mklibname tonezone %{major}

%define	progs	fxstest hdlcgen hdlcstress hdlctest hdlcverify makefw patgen patlooptest pattest usbfxstest ztcfg ztdiag ztmonitor ztspeed zttool timertest torisatool fxotune patgen pattest patlooptest hdlcgen hdlcverify timertest
# ztprovision ztcat ztcfg-dude fxsdump sethdlc hdlcstress hdlctest 

Summary:	Zapata Telephony Interface Library and tools
Name:		zaptel
Version:	1.2.9.1
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://ftp.digium.com/pub/zaptel/%{name}-%{version}.tar.bz2
Source1:	zaptel.init.bz2
Source2:	zaptel.sysconfig.bz2
Source3:	modprobe.conf.bz2
Patch0:		zaptel-1.2.4-mdv.diff
BuildRequires:	newt-devel
BuildRequires:	libzap-devel >= 1.0.1
BuildConflicts:	libtonezone-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Zapata Telephony Interface Library and utilities

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

%package -n	%{libname}
Summary:	The shared Zapata Telephony Interface Library
Group:          System/Libraries

%description -n	%{libname}
The shared Zapata Telephony Interface Library

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

%package -n	%{libname}-devel
Summary:	Development files for the Zapata Telephony Interface Library
Group:		Development/C
Obsoletes:	%{name}-devel libtonezone-devel
Provides:	%{name}-devel = %{version}
Provides:	libtonezone-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
Development files for the Zapata Telephony Interface Library.

This package contains the static tonezone library and its header
files.

%package -n	dkms-%{name}
Summary:	Kernel drivers for the Zapata Telephony Interface
Group:		System/Kernel and hardware
#PreReq:		rpm-helper
Requires:	dkms
Requires:	zaptel-tools = %{version}
Requires:	sethdlc >= 1.15

%description -n	dkms-%{name}

Kernel drivers for the Zapata Telephony Interfaces:


 o tor2 - T400P - Quad Span T1 Card
          E400P - Quad Span E1 Card
 o wct4xxp - TE405P - Quad Span T1/E1 Card (5v version)
             TE410P - Quad Span T1/E1 Card (3.3v version)
 o wct1xxp - T100P - Single Span T1 Card
             E100P - Single Span E1 Card
 o wct11xp - TE110P - Single Span T1/E1 Card
 o wcte11xp - TE110P T1/PRI card Driver
 o wcfxo - X100P/X101P - Single port FXO interface
 o wctdm - TDM400P - Modular FXS/FXO interface (1-4 ports)
 o wcusb or wcfxsusb S100U - Single port FXS USB Interface
 o torisa - Old Tormenta1 ISA Card
 o ztdummy - UHCI USB Zaptel Timing Only Interface
 o pciradio - PCI RADIO Card  Zapata Telephony PCI Quad Radio 
              Interface driver
 o wctdm24xxp - TDM2400P TDM FXS/FXO Interface Driver

%package	tools
Summary:	Various tools for the Zapata Telephony Interface
Group:          System/Kernel and hardware

%description	tools
Various tools for the Zapata Telephony Interface

%prep

%setup -q -n %{name}-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p0 -b .mdk

bzcat %{SOURCE1} > zaptel.init
bzcat %{SOURCE2} > zaptel.sysconfig
bzcat %{SOURCE3} > modprobe.conf

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" libtonezone.so
%make libtonezone.a

# make these with a twist...
mkdir -p private-build
cp -p *.c *.h *.cc Makefile private-build/
cp -p libtonezone.so.%{major}.0 private-build/

pushd private-build
perl -pi -e "s|\<linux/zaptel.h\>|\"zaptel.h\"|g" *

ln -snf libtonezone.so.%{major}.0 libtonezone.so.%{major}
ln -snf libtonezone.so.%{major}.0 libtonezone.so

for prog in %progs; do
    %make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -L." $prog
done

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" libtonezone.a
rm -f libtonezone.so*
gcc %{optflags} -fPIC -DPIC -D_REENTRANT -o ../ztcfg-static ztcfg.o -lm -L. -ltonezone ./libtonezone.a

popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_includedir}/linux
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}/sbin
install -d %{buildroot}%{_mandir}/man8

install -d %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp 	Makefile \
	*.c \
	*.h \
	*.rbt \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/
#	OCT6114-128D.ima \
#	include/octdef.h \
#	include/octosdependant.h \
#	include/octtype.h \

cp -r	build_tools \
	oct612x \
	wct4xxp \
	xpp \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/
#	include/apilib \
#	include/oct6100api \
#	include/octrpc \

perl -pi -e "s#\"octdef.h\"#\"../octdef.h\"#g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/apilib/*.h \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/oct6100api/*.h

perl -pi -e "s#\"oct6100_#\"oct6100api/oct6100_#g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/vpm450m.c

perl -pi -e "s|\<linux/zaptel\.h\>|\"zaptel\.h\"|g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/*

perl -pi -e "s|\<zaptel\.h\>|\"zaptel\.h\"|g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/*

echo %{version}-%{release} \
	> %{buildroot}/usr/src/%{name}-%{version}-%{release}/.version

mkdir -p %{buildroot}/etc/udev/rules.d
cat > %{buildroot}/etc/udev/rules.d/40-%{name}.rules <<EOF
# zaptel devices with ownership/permissions for running as non-root
KERNEL=="zapctl",	NAME="zap/ctl"		OWNER="asterisk",	GROUP="asterisk",	MODE="0660"
KERNEL=="zaptimer",	NAME="zap/timer"	OWNER="asterisk",	GROUP="asterisk",	MODE="0660"
KERNEL=="zapchannel",	NAME="zap/channel"	OWNER="asterisk",	GROUP="asterisk",	MODE="0660"
KERNEL=="zappseudo",	NAME="zap/pseudo"	OWNER="asterisk",	GROUP="asterisk",	MODE="0660"
KERNEL=="zap[0-9]*",	NAME="zap/%n"		OWNER="asterisk",	GROUP="asterisk",	MODE="0660"
EOF

cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{name}"
MAKE[0]="make linux26 KERNVER=$kernelver"
CLEAN="make KERNVER=$kernelver clean"

BUILT_MODULE_NAME[0]="pciradio"
BUILT_MODULE_NAME[1]="tor2"
BUILT_MODULE_NAME[2]="torisa"
BUILT_MODULE_NAME[3]="wcfxo"
BUILT_MODULE_NAME[4]="wct1xxp"
BUILT_MODULE_NAME[5]="wct4xxp"
BUILT_MODULE_NAME[6]="wctdm"
BUILT_MODULE_NAME[7]="wctdm24xxp"
BUILT_MODULE_NAME[8]="wcte11xp"
BUILT_MODULE_NAME[9]="wcusb"
BUILT_MODULE_NAME[10]="zaptel"
BUILT_MODULE_NAME[11]="ztd-eth"
BUILT_MODULE_NAME[12]="ztd-loc"
BUILT_MODULE_NAME[13]="ztdummy"
BUILT_MODULE_NAME[14]="ztdynamic"
BUILT_MODULE_NAME[15]="xpp"
BUILT_MODULE_NAME[16]="xpd_fxo"
BUILT_MODULE_NAME[17]="xpd_fxs"
BUILT_MODULE_NAME[18]="xpp_usb"
BUILT_MODULE_LOCATION[5]="wct4xxp"
BUILT_MODULE_LOCATION[15]="xpp"
BUILT_MODULE_LOCATION[16]="xpp"
BUILT_MODULE_LOCATION[17]="xpp"
BUILT_MODULE_LOCATION[18]="xpp"

DEST_MODULE_LOCATION[0]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[2]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[3]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[4]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[5]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[6]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[7]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[8]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[9]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[10]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[11]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[12]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[13]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[14]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[15]="/kernel/drivers/telephony/zaptel/xpp"
DEST_MODULE_LOCATION[16]="/kernel/drivers/telephony/zaptel/xpp"
DEST_MODULE_LOCATION[17]="/kernel/drivers/telephony/zaptel/xpp"
DEST_MODULE_LOCATION[18]="/kernel/drivers/telephony/zaptel/xpp"

AUTOINSTALL=yes
EOF

install -m0755 libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so.%{major}
ln -snf libtonezone.so.%{major} %{buildroot}%{_libdir}/libtonezone.so
install -m0755 libtonezone.a %{buildroot}/%{_libdir}/
install -m0644 tonezone.h %{buildroot}%{_includedir}/linux/
install -m0644 torisa.h %{buildroot}%{_includedir}/linux/
install -m0644 zaptel.h %{buildroot}%{_includedir}/linux/

for prog in %progs; do
    install -m0755 private-build/$prog %{buildroot}%{_sbindir}/
done

rm -f %{buildroot}%{_sbindir}/ztcfg
install -m0755 ztcfg-static %{buildroot}/sbin/ztcfg

install -m0755 ifup-hdlc %{buildroot}%{_sysconfdir}/sysconfig/network-scripts

# fix one conflicting file with tetex
mv %{buildroot}%{_sbindir}/patgen %{buildroot}%{_sbindir}/%{name}-patgen

install -m0644 zaptel.conf.sample %{buildroot}%{_sysconfdir}/zaptel.conf

# install man pages
install -m0644 doc/fxotune.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/torisatool.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztcfg.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztmonitor.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztspeed.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/zttest.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/zttool.8 %{buildroot}%{_mandir}/man8/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
dkms add -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade --force
#%%_post_service zaptel

%preun -n dkms-%{name}
dkms remove -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade --all
#%%_preun_service zaptel

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/linux/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%files -n dkms-%{name}
%defattr(-,root,root)
%doc modprobe.conf README*
%attr(0755,root,root) %{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/40-zaptel.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/zaptel.conf
/usr/src/%{name}-%{version}-%{release}

%files tools
%defattr(-,root,root)
%attr(0755,root,root) /sbin/ztcfg
%attr(0755,root,root) %{_sbindir}/fxstest
%attr(0755,root,root) %{_sbindir}/fxotune
%attr(0755,root,root) %{_sbindir}/hdlcgen
%attr(0755,root,root) %{_sbindir}/hdlcstress
%attr(0755,root,root) %{_sbindir}/hdlctest
%attr(0755,root,root) %{_sbindir}/hdlcverify
%attr(0755,root,root) %{_sbindir}/makefw
%attr(0755,root,root) %{_sbindir}/patlooptest
%attr(0755,root,root) %{_sbindir}/pattest
%attr(0755,root,root) %{_sbindir}/timertest
%attr(0755,root,root) %{_sbindir}/torisatool
%attr(0755,root,root) %{_sbindir}/usbfxstest
#attr(0755,root,root) %{_sbindir}/wct4xxp-diag
%attr(0755,root,root) %{_sbindir}/zaptel-patgen
%attr(0755,root,root) %{_sbindir}/ztdiag
%attr(0755,root,root) %{_sbindir}/ztmonitor
%attr(0755,root,root) %{_sbindir}/ztspeed
%attr(0755,root,root) %{_sbindir}/zttool
%attr(0644,root,root) %{_mandir}/man8/fxotune.8*
%attr(0644,root,root) %{_mandir}/man8/torisatool.8*
%attr(0644,root,root) %{_mandir}/man8/ztcfg.8*
%attr(0644,root,root) %{_mandir}/man8/ztmonitor.8*
%attr(0644,root,root) %{_mandir}/man8/ztspeed.8*
%attr(0644,root,root) %{_mandir}/man8/zttest.8*
%attr(0644,root,root) %{_mandir}/man8/zttool.8*

%changelog
* Sat Sep 16 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.9.1-1
- 1.2.9.1

* Wed Aug 23 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.8-1
- 1.2.8

* Fri Aug 04 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-5
- fix version on BuildRequires libzap-devel (1.2.0 to 1.0.1)

* Thu Aug 03 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-4
- Add .version file for dkms versioning. This fixes upgrading the dkms
  package.

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-3mdv2007.0
- added some more tools

* Tue Aug 01 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-2
- add missing file (OCT6114-128D.ima) to dkms package
- fix dkms package (include paths, etc)

* Sat Jul 15 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-1
- 1.2.7-1
- rediff patch0

* Wed May 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-4mdv2007.0
- 1.2.6 (no kidding)

* Wed May 24 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- fix bug with udev device creation

* Wed Apr 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-2mdk
- make it work with older udev

* Wed Mar 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- drop the bristuff patch, use visdn instead as it is less intrusive

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- add forgotten stuff, xpp won't compile yet, leave that for later...

* Thu Feb 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-1mdk
- 1.2.4
- update bristuff to 0.3.0-PRE-1l

* Sat Feb 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-2mdk
- update bristuff to 0.3.0-PRE-1k

* Sat Feb 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-1mdk
- 1.2.3
- update bristuff to 0.3.0-PRE-1i

* Thu Jan 19 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-1mdk
- 1.2.2
- update bristuff to 0.3.0-PRE-1g

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-3mdk
- update bristuff to 0.3.0-PRE-1d

* Wed Dec 14 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- fix dkms package with bristuff

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1
- update bristuff to 0.3.0-PRE-1c
- enable bristuff

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- drop insane dep names

* Sat Nov 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc2.1mdk
- 1.2.0-rc2

* Thu Nov 10 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.rc1.2mdk
- disable bristuff
- merge the bristuff related patches (from mdk & lvalues_fix)
- add udev configuration file to dkms-zaptel package

* Wed Nov 09 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.rc1.1mdk
- 1.2.0-rc1

* Fri Nov 04 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.beta2.1mdk
- 1.2.0-beta2
- disable bristuff patch

* Wed Oct 19 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.beta1.1mdk
- 1.2.0-beta1
- drop patch2 (pciradio_x86_64_fix) merged upstream

* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.2mdk
- fix build on x86_64 (#17971)
- use sane dep names

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.3mdk
- fixed P1 (couriousous, Stefan van der Eijk)

* Mon Jun 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.2mdk
- removed usless stuff in P0
- added P1 to make the zaphfc module compile (is this correct?)

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- rediff P0
- bristuff-0.2.0-RC8f-CVS

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- rebuilt with gcc4

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- 0.2.0-RC8a-CVS
- mention the bristuff version in the description
- added the cwain driver from bristuff

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- use a recent CVS snap

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-3mdk
- never release without that first cup of morning coffey...

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- added the config to the dkms package
- relocate binaries to %%{_sbindir}/
- build the ztcfg binary statically and put it in /sbin/
- provide a sample of a modprobe.conf file, as generated in 
  a make install
- fix deps
- added the ifup-hdlc script
- added the qozap and zaphfc drivers from bristuff

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- use the %%mkrel macro
- update P0 to bristuff-0.2.0-RC7k
- drop obsolete patches P2 and P3

* Sat Jan 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-4mdk
- fix wcfxs module compile with new gcc & kernel

* Tue Jan 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-3mdk
- fix dkms naming

* Thu Jan 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-2mdk
- add dkms package

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P0)
- rediff P1
- drop the sethdlc binary as the code is too old. use the new
  sethdlc-1.15 >= 1mdk package instead.

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-3mdk
- bristuff-0.2.0-rc2a

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2 (P1)

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- better and updated P0
- bristuff-0.2.0-rc1 (P1)

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix one conflicting file with tetex

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
